# List credit cards visible to this user

Only available to Buyer Users.

Endpoint: GET /me/creditcards
Version: 1.0.445.36017
Security: OAuth2

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.
    Enum: "ID", "CardholderName", "CardType", "ExpirationDate", "Editable"

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.
    Enum: "ID", "CardholderName", "CardType", "ExpirationDate", "DateCreated", "!ID", "!CardholderName", "!CardType", "!ExpirationDate", "!DateCreated"

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)
    Example: [{"ID":"","Editable":false,"Token":"","DateCreated":"2018-01-01T00:00:00-06:00","CardType":"","PartialAccountNumber":"","CardholderName":"","ExpirationDate":"2018-01-01T00:00:00-06:00","xp":{}}]

  - `Items.ID` (string)

  - `Items.Editable` (boolean)

  - `Items.Token` (string)
    Token provided by the credit card processor used to reference the card with that processor.

  - `Items.DateCreated` (string)
    Example: "2018-01-01T00:00:00-06:00"

  - `Items.CardType` (string)

  - `Items.PartialAccountNumber` (string)

  - `Items.CardholderName` (string)

  - `Items.ExpirationDate` (string)
    Example: "2018-01-01T00:00:00-06:00"

  - `Items.xp` (object)
    Example: {}

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: "404"

  - `ErrorCode` (string)
    Example: "NotFoundError"

  - `Message` (string)
    Example: "Object not found"

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}


